{% extends "base.html" %}

{% block content %}
    <img src="https://image.ibb.co/dpPKk0/business-equipment-factory-357440.jpg"
         style="object-fit: cover;width: 100%;height: 330px;object-position: top;">
    <div class="gallery">
        <h2 class="gallery-title shadow">GALLERY</h2>
    </div>

    <div>
        <div class="section-1">
            <div class="row">
                {% for image in gallery %}
                    <div class="cell-4" id="gallery{{ forloop.counter }}">
                        <img src="{{ image.image.url }}" class="gallery-img">
                        <div class="img-overlay">
                            <div class="img-text">{{ image.description }}</div>
                        </div>
                    </div>
                    <script
                            src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
                            integrity="sha256-3edrmyuQ0w65f8gfBsqowzjJe2iM6n0nKciPUp8y+7E="
                            crossorigin="anonymous">

                    </script>
                    <script>
                        $("#gallery{{ forloop.counter }}").on('click', function () {
                            Metro.dialog.create({
                                title: "{{ image.description }}",
                                content: '<div class="row pop-dialog"><div class="cell-md-6"><img src="{{ image.image.url }}" class="pop-img"></div><div class="cell-md-6" style="white-space:pre-wrap;">{{ image.story }}</div>',
                                width: 1000,
                                height: 580,
                                overlayColor: '#000000',
                                actions: [
                                    {
                                        caption: "Close",
                                        cls: "js-dialog-close alert",
                                    },
                                ]
                            });
                        });

                    </script>
                {% endfor %}
            </div>
        </div>
    </div>
{% endblock %}